Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class QuadCurve2D.Double

    java.lang.Object
      |
      +--java.awt.geom.QuadCurve2D
            |
            +--java.awt.geom.QuadCurve2D.Double

All Implemented Interfaces:
  Cloneable, Shape

Enclosing class:
  QuadCurve2D

public static class QuadCurve2D.Double
extends QuadCurve2D

A quadratic parametric curve segment specified with `double` coordinates.

Inner classes inherited from class java.awt.geom.QuadCurve2D
`QuadCurve2D.Double, QuadCurve2D.Float`

Field Summary
`double` | `ctrlx` The x coordinate of the control point of the quadratic curve segment.
`double` | `ctrly` The y coordinate of the control point of the quadratic curve segment.
`double` | `x1` The x coordinate of the start point of the quadratic curve segment.
`double` | `x2` The x coordinate of the end point of the quadratic curve segment.
`double` | `y1` The x coordinate of the start point of the quadratic curve segment.
`double` | `y2` The y coordinate of the end point of the quadratic curve segment.

Constructor Summary
`QuadCurve2D.Double()` Constructs and initializes a `QuadCurve2D` with coordinates (0, 0, 0, 0, 0, 0).
`QuadCurve2D.Double(double x1, double y1, double ctrlx, double ctrly, double x2, double y2)` Constructs and initializes a `QuadCurve2D` from the specified coordinates.

Method Summary
`Rectangle2D` | `getBounds2D()` Returns the bounding box of this `QuadCurve2D`.
`Point2D` | `getCtrlPt()` Returns the control point.
`double` | `getCtrlX()` Returns the x coordinate of the control point in `double` precision.
`double` | `getCtrlY()` Returns the y coordinate of the control point in `double` precision.
`Point2D` | `getP1()` Returns the start point.
`Point2D` | `getP2()` Returns the end point.
`double` | `getX1()` Returns the x coordinate of the start point in `double` precision.
`double` | `getX2()` Returns the x coordinate of the end point in `double` precision.
`double` | `getY1()` Returns the y coordinate of the start point in `double` precision.
`double` | `getY2()` Returns the y coordinate of the end point in `double` precision.
`void` | `setCurve(double x1, double y1, double ctrlx, double ctrly, double x2, double y2)` Sets the location of the endpoints and controlpoint of this curve to the specified `double` coordinates.

Methods inherited from class java.awt.geom.QuadCurve2D
`clone, contains, contains, contains, contains, getBounds, getFlatness, getFlatness, getFlatness, getFlatnessSq, getFlatnessSq, getFlatnessSq, getPathIterator, getPathIterator, intersects, intersects, setCurve, setCurve, setCurve, setCurve, solveQuadratic, solveQuadratic, subdivide, subdivide, subdivide`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x1

    public double x1

  The x coordinate of the start point of the quadratic curve segment.

### y1

    public double y1

  The x coordinate of the start point of the quadratic curve segment.

### ctrlx

    public double ctrlx

  The x coordinate of the control point of the quadratic curve segment.

### ctrly

    public double ctrly

  The y coordinate of the control point of the quadratic curve segment.

### x2

    public double x2

  The x coordinate of the end point of the quadratic curve segment.

### y2

    public double y2

  The y coordinate of the end point of the quadratic curve segment.

Constructor Detail

### QuadCurve2D.Double

    public QuadCurve2D.Double()

  Constructs and initializes a `QuadCurve2D` with coordinates (0, 0, 0, 0, 0, 0).

### QuadCurve2D.Double

    public QuadCurve2D.Double(double x1,
                              double y1,
                              double ctrlx,
                              double ctrly,
                              double x2,
                              double y2)

  Constructs and initializes a `QuadCurve2D` from the specified coordinates.
  Parameters:
    `x1, y1` - the coordinates of the starting point
    `ctrlx, ctrly` - the coordinates of the control point
    `x2, y1` - the coordinates of the ending point

Method Detail

### getX1

    public double getX1()

  Returns the x coordinate of the start point in `double` precision.
  Overrides:
    `getX1` in class `QuadCurve2D`
  Returns:
    the x coordinate of the starting point.

### getY1

    public double getY1()

  Returns the y coordinate of the start point in `double` precision.
  Overrides:
    `getY1` in class `QuadCurve2D`
  Returns:
    the y coordiante of the starting point.

### getP1

    public Point2D getP1()

  Returns the start point.
  Overrides:
    `getP1` in class `QuadCurve2D`
  Returns:
    a `Point2D` that is the starting point of this `QuadCurve2D`.

### getCtrlX

    public double getCtrlX()

  Returns the x coordinate of the control point in `double` precision.
  Overrides:
    `getCtrlX` in class `QuadCurve2D`
  Returns:
    the x coordinate of the control point.

### getCtrlY

    public double getCtrlY()

  Returns the y coordinate of the control point in `double` precision.
  Overrides:
    `getCtrlY` in class `QuadCurve2D`
  Returns:
    the y coordiante of the control point.

### getCtrlPt

    public Point2D getCtrlPt()

  Returns the control point.
  Overrides:
    `getCtrlPt` in class `QuadCurve2D`
  Returns:
    a `Point2D` object that is the control point of this `QuadCurve2D`.

### getX2

    public double getX2()

  Returns the x coordinate of the end point in `double` precision.
  Overrides:
    `getX2` in class `QuadCurve2D`
  Returns:
    the x coordiante of the end point.

### getY2

    public double getY2()

  Returns the y coordinate of the end point in `double` precision.
  Overrides:
    `getY2` in class `QuadCurve2D`
  Returns:
    the y coordiante of the end point.

### getP2

    public Point2D getP2()

  Returns the end point.
  Overrides:
    `getP2` in class `QuadCurve2D`
  Returns:
    a `Point2D` that is the end point of this `QuadCurve2D`.

### setCurve

    public void setCurve(double x1,
                         double y1,
                         double ctrlx,
                         double ctrly,
                         double x2,
                         double y2)

  Sets the location of the endpoints and controlpoint of this curve to the specified `double` coordinates.
  Overrides:
    `setCurve` in class `QuadCurve2D`
  Parameters:
    `x1, y1` - the coordinates of the starting point
    `ctrlx, ctrly` - the coordinates of the control point
    `x2, y1` - the coordinates of the ending point

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the bounding box of this `QuadCurve2D`.
  Returns:
    a `Rectangle2D` that is the bounding box of the shape of this `QuadCurve2D`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.